( function ( $, _, Backbone, api, settings ) {

	var RatingModel = happyForms.classes.models.Part.extend({
		defaults: function () {
			return _.extend(
				{},
				settings.formParts.rating.defaults,
				_.result( happyForms.classes.models.Part.prototype, 'defaults' ),
			);
		},
	} );

	var RatingView = happyForms.classes.views.Part.extend( {
		template: '#happyforms-customize-rating-template'
	} );

	happyForms.factory.model = _.wrap( happyForms.factory.model, function ( func, attrs, options, BaseClass ) {
		if ( 'rating' === attrs.type ) {
			BaseClass = RatingModel;
		}

		return func( attrs, options, BaseClass );
	} );

	happyForms.factory.view = _.wrap( happyForms.factory.view, function ( func, options, BaseClass ) {
		if ( 'rating' === options.type ) {
			BaseClass = RatingView;
		}

		return func( options, BaseClass );
	} );

} )( jQuery, _, Backbone, wp.customize, _happyFormsSettings );
