<script type="text/template" id="customize-happyforms-radio-template">
	<?php include( happyforms_get_include_folder() . '/templates/customize-form-part-header.php' ); ?>
	<p>
		<label for="<%= instance.id %>_title"><?php _e( 'Title', 'happyforms' ); ?></label>
		<input type="text" id="<%= instance.id %>_title" class="widefat title" value="<%= instance.label %>" data-bind="label" />
	</p>
	<p>
		<label for="<%= instance.id %>_label_placement"><?php _e( 'Title placement', 'happyforms' ); ?></label>
		<select id="<%= instance.id %>_label_placement" data-bind="label_placement">
			<option value="above"<%= (instance.label_placement == 'above') ? ' selected' : '' %>><?php _e( 'Above', 'happyforms' ); ?></option>
			<option value="left"<%= (instance.label_placement == 'left') ? ' selected' : '' %>><?php _e( 'Left', 'happyforms' ); ?></option>
			<option value="below"<%= (instance.label_placement == 'below') ? ' selected' : '' %>><?php _e( 'Below', 'happyforms' ); ?></option>
		</select>
	</p>
	<p class="label_placement-options" style="display: none">
		<label>
			<input type="checkbox" class="checkbox apply-all-check" value="" data-apply-to="label_placement" /> <?php _e( 'Apply to all parts', 'happyforms' ); ?>
		</label>
	</p>
	<p>
		<label for="<%= instance.id %>_description"><?php _e( 'Description', 'happyforms' ); ?></label>
		<textarea id="<%= instance.id %>_description" data-bind="description"><%= instance.description %></textarea>
	</p>
	<p class="tooltip-description-wrap" style="display: <%= (instance.description != '') ? 'block' : 'none' %>">
		<label>
			<input type="checkbox" class="checkbox" value="1" <% if ( instance.tooltip_description ) { %>checked="checked"<% } %> data-bind="tooltip_description" /> <?php _e( 'Show description in a tooltip', 'happyforms' ); ?>
		</label>
	</p>
	<p>
		<label>
			<input type="checkbox" class="checkbox" value="1" <% if ( instance.required ) { %>checked="checked"<% } %> data-bind="required" /> <?php _e( 'This is required', 'happyforms' ); ?>
		</label>
	</p>
	<div class="options">
		<ul></ul>
		<h3><?php _e( 'Options', 'happyforms' ); ?></h3>
		<p class="no-options"><?php _e( 'No options added yet. Add one by clicking the <i>Add option</i> link below.', 'happyforms' ); ?></p>
	</div>
	<p class="links">
		<a href="#" class="add-option"><?php _e( 'Add option', 'happyforms' ); ?></a>
	</p>
	<div class="happyforms-part-advanced-settings-wrap">
		<p>
			<label for="<%= instance.id %>_display_type"><?php _e( 'Display options', 'happyforms' ); ?></label>
			<select id="<%= instance.id %>_display_type" name="display_type" data-bind="display_type" class="widefat">
				<option value="inline"<%= (instance.display_type == 'inline') ? ' selected' : '' %>><?php _e( 'Horizontal', 'happyforms' ); ?></option>
				<option value="block"<%= (instance.display_type == 'block') ? ' selected' : '' %>><?php _e( 'Vertical', 'happyforms' ); ?></option>
			</select>
		</p>
		<p>
			<label for="<%= instance.id %>_width"><?php _e( 'Width', 'happyforms' ); ?></label>
			<select id="<%= instance.id %>_width" name="width" data-bind="width" class="widefat">
				<option value="full"<%= (instance.width == 'full') ? ' selected' : '' %>><?php _e( 'Full', 'happyforms' ); ?></option>
				<option value="half"<%= (instance.width == 'half') ? ' selected' : '' %>><?php _e( 'Half', 'happyforms' ); ?></option>
				<option value="third"<%= (instance.width == 'third') ? ' selected' : '' %>><?php _e( 'One third', 'happyforms' ); ?></option>
			</select>
		</p>
		<p class="width-options" style="display: none">
			<label>
				<input type="checkbox" class="checkbox apply-all-check" value="" data-apply-to="width" /> <?php _e( 'Apply to all parts', 'happyforms' ); ?>
			</label>
		</p>
		<p>
			<label for="<%= instance.id %>_css_class"><?php _e( 'Custom CSS class', 'happyforms' ); ?></label>
			<input type="text" id="<%= instance.id %>_css_class" class="widefat title" value="<%= instance.css_class %>" data-bind="css_class" />
		</p>
	</div>
	<?php include( happyforms_get_include_folder() . '/templates/customize-form-part-footer.php' ); ?>
</script>
<script type="text/template" id="customize-happyforms-radio-item-template">
	<li class="happyforms-part-widget happyforms-part-widget--sub" data-item-id="<%= item.id %>">
		<label>
			<?php _e( 'Label', 'happyforms' ); ?>
			<input type="text" class="widefat" name="option_label" value="<%= item.label %>" data-option-attribute="label">
		</label>
		<label class="happyforms-part-item-description">
			<?php _e( 'Description', 'happyforms' ); ?>
			<input type="text" class="widefat" name="option_description" value="<%= (typeof item.description !== 'undefined') ? item.description : '' %>" data-option-attribute="description">
		</label>
		<label>
			<input type="checkbox" name="option_is_default" value="1" class="default-option-switch"<% if (item.is_default == 1) { %> checked="checked"<% } %>> <?php _e( 'Make this option default', 'happyforms' ); ?>
		</label>
		<div class="option-actions">
			<a href="#" class="delete-option"><?php _e( 'Delete', 'happyforms' ); ?></a>
		</div>
	</li>
</script>