<script type="text/template" id="customize-happyforms-table-template">
	<?php include( happyforms_get_include_folder() . '/templates/customize-form-part-header.php' ); ?>
	<p>
		<label for="<%= instance.id %>_title"><?php _e( 'Title', 'happyforms' ); ?></label>
		<input type="text" id="<%= instance.id %>_title" class="widefat title" value="<%= instance.label %>" data-bind="label" />
	</p>
	<p>
		<label for="<%= instance.id %>_label_placement"><?php _e( 'Title placement', 'happyforms' ); ?></label>
		<select id="<%= instance.id %>_label_placement" data-bind="label_placement">
			<option value="above"<%= (instance.label_placement == 'above') ? ' selected' : '' %>><?php _e( 'Above', 'happyforms' ); ?></option>
			<option value="left"<%= (instance.label_placement == 'left') ? ' selected' : '' %>><?php _e( 'Left', 'happyforms' ); ?></option>
			<option value="below"<%= (instance.label_placement == 'below') ? ' selected' : '' %>><?php _e( 'Below', 'happyforms' ); ?></option>
		</select>
	</p>
	<p class="label_placement-options" style="display: none">
		<label>
			<input type="checkbox" class="checkbox apply-all-check" value="" data-apply-to="label_placement" /> <?php _e( 'Apply to all parts', 'happyforms' ); ?>
		</label>
	</p>
	<p>
		<label for="<%= instance.id %>_description"><?php _e( 'Description', 'happyforms' ); ?></label>
		<textarea id="<%= instance.id %>_description" data-bind="description"><%= instance.description %></textarea>
	</p>
	<p class="tooltip-description-wrap" style="display: <%= (instance.description != '') ? 'block' : 'none' %>">
		<label>
			<input type="checkbox" class="checkbox" value="1" <% if ( instance.tooltip_description ) { %>checked="checked"<% } %> data-bind="tooltip_description" /> <?php _e( 'Show description in a tooltip', 'happyforms' ); ?>
		</label>
	</p>
	<p>
		<label>
			<input type="checkbox" class="checkbox" value="1" <% if ( instance.required ) { %>checked="checked"<% } %> data-bind="required" /> <?php _e( 'Each row is required', 'happyforms' ); ?>
		</label>
	</p>
	<p>
		<label>
			<input type="checkbox" class="checkbox" value="1" <% if ( instance.allow_multiple_selection ) { %>checked="checked"<% } %> data-bind="allow_multiple_selection" /> <?php _e( 'Allow multiple selections', 'happyforms' ); ?>
		</label>
	</p>
	<div class="tab-links">
		<a href="#" data-happyforms-tab="tab-content-columns" class="active"><?php _e( 'Columns', 'happyforms' ); ?></a>
		<a href="#" data-happyforms-tab="tab-content-rows"><?php _e( 'Rows', 'happyforms' ); ?></a>
	</div>
	<div class="tab-content">
		<div class="tab-content-columns active">
			<div class="options columns">
				<ul></ul>
				<h3><?php _e( 'Columns', 'happyforms' ); ?></h3>
				<p class="no-options"><?php _e( 'No columns added yet. Add one by clicking the <i>Add column</i> link below.', 'happyforms' ); ?></p>
			</div>
			<p class="links">
				<a href="#" class="add-column"><?php _e( 'Add column', 'happyforms' ); ?></a>
			</p>
		</div>
		<div class="tab-content-rows">
			<div class="options rows">
				<ul></ul>
				<h3><?php _e( 'Rows', 'happyforms' ); ?></h3>
				<p class="no-options"><?php _e( 'No rows added yet. Add one by clicking the <i>Add row</i> link below.', 'happyforms' ); ?></p>
			</div>
			<p class="links">
				<a href="#" class="add-row"><?php _e( 'Add row', 'happyforms' ); ?></a>
			</p>
		</div>
	</div>
	<div class="happyforms-part-advanced-settings-wrap">
		<p>
			<label for="<%= instance.id %>_width"><?php _e( 'Width', 'happyforms' ); ?></label>
			<select id="<%= instance.id %>_width" name="width" data-bind="width" class="widefat">
				<option value="full"<%= (instance.width == 'full') ? ' selected' : '' %>><?php _e( 'Full', 'happyforms' ); ?></option>
				<option value="half"<%= (instance.width == 'half') ? ' selected' : '' %>><?php _e( 'Half', 'happyforms' ); ?></option>
				<option value="third"<%= (instance.width == 'third') ? ' selected' : '' %>><?php _e( 'One third', 'happyforms' ); ?></option>
			</select>
		</p>
		<p class="width-options" style="display: none">
			<label>
				<input type="checkbox" class="checkbox apply-all-check" value="" data-apply-to="width" /> <?php _e( 'Apply to all parts', 'happyforms' ); ?>
			</label>
		</p>
		<p>
			<label for="<%= instance.id %>_css_class"><?php _e( 'Custom CSS class', 'happyforms' ); ?></label>
			<input type="text" id="<%= instance.id %>_css_class" class="widefat title" value="<%= instance.css_class %>" data-bind="css_class" />
		</p>
	</div>
	<?php include( happyforms_get_include_folder() . '/templates/customize-form-part-footer.php' ); ?>
</script>
<script type="text/template" id="customize-happyforms-table-column-template">
	<li class="happyforms-part-widget happyforms-part-widget--sub" data-column-id="<%= column.id %>">
		<label>
			<?php _e( 'Label', 'happyforms' ); ?>
			<input type="text" class="widefat" name="column_label" value="<%= column.label %>" data-option-attribute="label">
		</label>
		<label>
			<input type="checkbox" name="column_is_default" value="1" class="default-option-switch"<% if (column.is_default == 1) { %> checked="checked"<% } %>> <?php _e( 'Checked by default', 'happyforms' ); ?>
		</label>
		<div class="option-actions">
			<a href="#" class="delete-column"><?php _e( 'Delete', 'happyforms' ); ?></a>
		</div>
	</li>
</script>
<script type="text/template" id="customize-happyforms-table-row-template">
	<li class="happyforms-part-widget happyforms-part-widget--sub" data-row-id="<%= row.id %>">
		<label>
			<?php _e( 'Label', 'happyforms' ); ?>
			<input type="text" class="widefat" name="row_label" value="<%= row.label %>" data-option-attribute="label">
		</label>
		<div class="option-actions">
			<a href="#" class="delete-row"><?php _e( 'Delete', 'happyforms' ); ?></a>
		</div>
	</li>
</script>