<div class="<?php happyforms_the_part_class( $part, $form ); ?>" id="<?php happyforms_the_part_id( $part, $form ); ?>-part" <?php happyforms_the_part_data_attributes( $part, $form ); ?>>
	<div class="happyforms-part-wrap">
		<?php happyforms_the_part_label( $part, $form ); ?>
		<?php if ( 'happyforms-form--part-error-notices-above' === happyforms_get_form_property( $form, 'part_error_notices_location' ) ) : ?>
			<?php happyforms_message_notices( happyforms_get_part_name( $part, $form ) ); ?>
		<?php endif; ?>
		<div class="happyforms-part__el">
			<?php
			$options = happyforms_get_part_options( $part['options'], $part, $form );
			foreach( $options as $option ) : ?>
				<?php
				$value = happyforms_get_part_value( $part, $form );
				$is_default = ( 1 === intval( $option['is_default'] ) );
				$is_checked = ( is_array( $value ) && in_array( $option['label'], $value ) );
				$checked = ( $is_default || $is_checked ) ? 'checked="checked"' : '';
				?>
				<label class="option-label" id="<?php echo esc_attr( $option['id'] ); ?>">
					<input type="checkbox" class="happyforms-visuallyhidden" name="<?php happyforms_the_part_name( $part, $form ); ?>[]" value="<?php echo esc_attr( $option['label'] ); ?>" <?php echo $checked; ?>>
					<span class="checkmark"><svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 24 24"><path fill="currentColor" d="M20.285 2l-11.285 11.567-5.286-5.011-3.714 3.716 9 8.728 15-15.285z"/></svg></span>
					<span class="label"><?php echo esc_attr( $option['label'] ); ?></span>
				</label>
			<?php endforeach; ?>
		</div>
		<?php happyforms_print_part_description( $part ); ?>
		<?php if ( 'happyforms-form--part-error-notices-below' === happyforms_get_form_property( $form, 'part_error_notices_location' ) || ( '' === happyforms_get_form_property( $form, 'part_error_notices_location' ) ) ) : ?>
			<?php happyforms_message_notices( happyforms_get_part_name( $part, $form ) ); ?>
		<?php endif; ?>
	</div>
</div>