<div class="<?php happyforms_the_part_class( $part, $form ); ?>" id="<?php happyforms_the_part_id( $part, $form ); ?>-part" <?php happyforms_the_part_data_attributes( $part, $form ); ?>>
	<div class="happyforms-part-wrap">
		<?php $current_timestamp = current_time( 'timestamp', false ); ?>
		<?php if ( 'inside' !== $part['label_placement'] ) : ?>
			<?php happyforms_the_part_label( $part, $form ); ?>
		<?php endif; ?>
		<?php if ( 'happyforms-form--part-error-notices-above' === happyforms_get_form_property( $form, 'part_error_notices_location' ) ) : ?>
			<?php happyforms_message_notices( happyforms_get_part_name( $part, $form ) ); ?>
		<?php endif; ?>
		<div class="happyforms-part__el">
			<?php if ( $part['date_type'] === 'datetime' || $part['date_type'] === 'date' ) : ?>
				<?php 
				if ( 'month_first' === happyforms_get_site_date_format() ) {
					require( 'frontend-date-month.php' );
					require( 'frontend-date-day.php' );
				} else {
					require( 'frontend-date-day.php' );
					require( 'frontend-date-month.php' );
				}
				?>
				<?php $year_value = ( 'current' === $part['default_datetime'] ) ? date( 'Y', $current_timestamp ) : intval( happyforms_get_part_value( $part, $form, 'year' ) ); ?>
				<div class="happyforms-part-date__date-input happyforms-part__select-wrap">
					<div class="happyforms-part__select-bg">
						<select name="<?php happyforms_the_part_name( $part, $form ); ?>[year]"<?php if ( 1 === $part['required'] ) : ?> required aria-required="true"<?php endif; ?>>
							<option value=""><?php _e( 'Year', 'happyforms' ); ?></option>
							<?php
							$order = ( isset( $part['years_order'] ) ) ? $part['years_order'] : 'desc';
							$min_year = $part['min_year'];
							$max_year = ( $part['max_year'] > $min_year ) ? $part['max_year'] : date('Y');

							$option_template = '<option value="%d" %s>%d</option>';
							
							if ( 'desc' === $order ) {
								for ( $i = $max_year; $i >= $min_year; $i-- ) {
									printf( $option_template, $i, selected( $year_value, $i ), $i );
								}
							} else {
								for ( $i = $min_year; $i <= $max_year; $i++ ) {
									printf( $option_template, $i, selected( $year_value, $i ), $i );
								}
							}
							?>	
						</select>
					</div>
				</div>
			<?php endif; ?>
			<?php if ( $part['date_type'] === 'datetime' || $part['date_type'] === 'time' ) : ?>
				<?php
				if ( 12 === $part['time_format'] ) {
					$hour_pattern = '(0[0-9]|1[0-2])';
					$hour_date_string = 'h';
					$default_hour = '12';
				} else {
					$hour_pattern = '(0[0-9]|1[0-9]|2[0-3])';
					$hour_date_string = 'H';
					$default_hour = '00';
				}

				$happyforms_hour_value = ( happyforms_get_part_value( $part, $form, 'hour' ) ) ? happyforms_get_part_value( $part, $form, 'hour' ) : $default_hour;
				$hour_value = ( 'current' === $part['default_datetime'] ) ? date( $hour_date_string, $current_timestamp ) : $happyforms_hour_value;
				?>
				<div class="happyforms-part--date__input-wrap happyforms-part-date__time-input happyforms-part-date__time-input--hours">
					<input type="text" name="<?php happyforms_the_part_name( $part, $form ); ?>[hour]" min="<?php echo $part['min_hour']; ?>" max="<?php echo $part['max_hour']; ?>" maxlength="2" pattern="<?php echo $hour_pattern; ?>" autocomplete="off" value="<?php echo $hour_value; ?>"<?php if ( 1 == $part['required'] ) : ?> required aria-required="true"<?php endif; ?>>
					<span class="happyforms-spinner-arrow happyforms-spinner-arrow--up"></span>
					<span class="happyforms-spinner-arrow happyforms-spinner-arrow--down"></span>
				</div>
				<div class="happyforms-part--date__time-separator">
					<span>:</span>
				</div>
				<?php
				$happyforms_minute_value = ( happyforms_get_part_value( $part, $form, 'minute' ) ) ? happyforms_get_part_value( $part, $form, 'minute' ) : '00';
				$minute_value = ( 'current' === $part['default_datetime'] ) ? date( 'i', $current_timestamp ) : $happyforms_minute_value;
				?>
				<div class="happyforms-part--date__input-wrap happyforms-part-date__time-input happyforms-part-date__time-input--minutes">
					<input type="text" name="<?php happyforms_the_part_name( $part, $form ); ?>[minute]" min="0" max="59" step="<?php echo $part['minute_step']; ?>" maxlength="2" pattern="([0-5][0-9])" autocomplete="off" value="<?php echo $minute_value; ?>"<?php if ( 1 == $part['required'] ) : ?> required aria-required="true"<?php endif; ?>>
					<span class="happyforms-spinner-arrow happyforms-spinner-arrow--up"></span>
					<span class="happyforms-spinner-arrow happyforms-spinner-arrow--down"></span>
				</div>
				<?php if ( 12 == intval( $part['time_format'] ) ) : ?>
				<?php
				$happyforms_period_value = ( happyforms_get_part_value( $part, $form, 'period' ) ) ? happyforms_get_part_value( $part, $form, 'period' ) : 'AM';
				$period_value = ( 'current' === $part['default_datetime'] ) ? date( 'A', $current_timestamp ) : $happyforms_period_value; ?>
				<div class="happyforms-part--date__input-wrap happyforms-part-date__time-input happyforms-part-date__time-input--period happyforms-part__select-wrap">
					<div class="happyforms-part__select-bg">
						<select name="<?php happyforms_the_part_name( $part, $form ); ?>[period]"<?php if ( 1 === $part['required'] ) : ?> required aria-required="true"<?php endif; ?>>
							<option value=""><?php _e( 'Period', 'happyforms' ); ?></option>
							<option value="AM" <?php selected( $period_value, 'AM' ); ?>><?php _e( 'AM', 'happyforms' ); ?></option>
							<option value="PM" <?php selected( $period_value, 'PM' ); ?>><?php _e( 'PM', 'happyforms' ); ?></option>
						</select>
					</div>
				</div>
				<?php endif; ?>
			<?php endif; ?>
		</div>
		<?php happyforms_print_part_description( $part ); ?>
		<?php if ( 'happyforms-form--part-error-notices-below' === happyforms_get_form_property( $form, 'part_error_notices_location' ) || ( '' === happyforms_get_form_property( $form, 'part_error_notices_location' ) ) ) : ?>
			<?php happyforms_message_notices( happyforms_get_part_name( $part, $form ) ); ?>
		<?php endif; ?>
	</div>
</div>